summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergey Popov <pinkbyte@gentoo.org>2014-02-27 11:52:55 +0000
committerSergey Popov <pinkbyte@gentoo.org>2014-02-27 11:52:55 +0000
commit38441f86ce5f9504ad50d24eaafe7855f6a02c6c (patch)
tree60fa9dcae7a543875624541b006afc08d47ee09a /dev-libs/libdivecomputer
parentversion bump, drop old (diff)
downloadhistorical-38441f86ce5f9504ad50d24eaafe7855f6a02c6c.tar.gz
historical-38441f86ce5f9504ad50d24eaafe7855f6a02c6c.tar.bz2
historical-38441f86ce5f9504ad50d24eaafe7855f6a02c6c.zip
Version bump, add new proxied maintainer, bug #500568
Package-Manager: portage-2.2.8-r1/cvs/Linux x86_64 Manifest-Sign-Key: 0x1F357D42
Diffstat (limited to 'dev-libs/libdivecomputer')
-rw-r--r--dev-libs/libdivecomputer/ChangeLog8
-rw-r--r--dev-libs/libdivecomputer/Manifest20
-rw-r--r--dev-libs/libdivecomputer/libdivecomputer-0.4.2.ebuild75
-rw-r--r--dev-libs/libdivecomputer/metadata.xml29
4 files changed, 110 insertions, 22 deletions
diff --git a/dev-libs/libdivecomputer/ChangeLog b/dev-libs/libdivecomputer/ChangeLog
index cc223bb24382..bae8cdc7cf6b 100644
--- a/dev-libs/libdivecomputer/ChangeLog
+++ b/dev-libs/libdivecomputer/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for dev-libs/libdivecomputer
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/libdivecomputer/ChangeLog,v 1.11 2014/02/27 08:38:43 pinkbyte Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/libdivecomputer/ChangeLog,v 1.12 2014/02/27 11:52:54 pinkbyte Exp $
+
+*libdivecomputer-0.4.2 (27 Feb 2014)
+
+ 27 Feb 2014; Sergey Popov <pinkbyte@gentoo.org>
+ +libdivecomputer-0.4.2.ebuild, metadata.xml:
+ Version bump, add new proxied maintainer, bug #500568
27 Feb 2014; Sergey Popov <pinkbyte@gentoo.org> libdivecomputer-0.4.1.ebuild,
libdivecomputer-9999.ebuild:
diff --git a/dev-libs/libdivecomputer/Manifest b/dev-libs/libdivecomputer/Manifest
index 649c4ab2a038..f1734882876b 100644
--- a/dev-libs/libdivecomputer/Manifest
+++ b/dev-libs/libdivecomputer/Manifest
@@ -2,18 +2,20 @@
Hash: SHA256
DIST libdivecomputer-0.4.1.tar.gz 481798 SHA256 7d64032d2e5cd4d6315ebb7ed5bcccc9399166d40228ae2e96e435749b950a0a SHA512 a1104981b1820ea93c3b3e389e42996f9199c5a4c37daf16e9577d8fd29b21440521d1ea5f89ec2df2861b582fd2e748d35eb811ad0d484eacce7d13d39bf88f WHIRLPOOL 7bc1d3a856f3f41cd3126ea1df61ead93e549c39442355f7730c3f0db981e1663c1ca86ee0db0b850bc3af55af0694100a1df7ce0754af665be3dc3c9388e919
+DIST libdivecomputer-0.4.2.tar.gz 487401 SHA256 f3c5d0229de9dd82602e309273d0eb48fb0ee07fdcfc1ff8206edb6ba5154460 SHA512 590aca350d86d17a889f47238ad46f0a6a1353b5f7ed67c64a9bae303a010ab042e94a73a36c6f05f2d03d10c80b1fae49431ad581b3024db83b81711d5d1048 WHIRLPOOL c6cd91feae2a0a87bc7fc09021239f7210b99b27e51b372d35090304ce91c2166ac077d211a3aecd18ce7d89bb191c9cf6496bc9f6ddd727832de6eca74c91c3
EBUILD libdivecomputer-0.4.1.ebuild 1642 SHA256 923602dad5f312bbbd2ceff5ea384d2624cbb233854ec6e5019abadccef580ef SHA512 636d2ca5de4653918bea325527339cc3ec6acdc8beb7e0a2ba7c01b05b636891c46ec0db841a3766d2218f9a6b96cb84d9e81b16006558aaa9dad0547d4daa4f WHIRLPOOL 79ac8942b70c25e75d7b19991f2a6960f08330a6707aa785f9de011b6434d087ddfd605b95e4a3eb6b33fe87b02c1f18c8c0f146d2ae17f53418b60af6f85995
+EBUILD libdivecomputer-0.4.2.ebuild 1642 SHA256 e596955792101248fd8e2c74f13d099b77724ba2531bf56daae9141c661ce88c SHA512 fd32964a27c5111f9339b390666c82a00ff8e5d00b334239c0f19dc36ba4e7abbb6debf1c88f5e70f4cafd084cb215807b3d55729a730ef5bba432c0e2662a78 WHIRLPOOL bdffb3befaa650aa73829288189e146f5d87bc04d271fc9d7ec05a202644dfa7f633b2bf0461c129f74217d4302dc11716027ac0c3e12ebc6557a7a6bd8b71ec
EBUILD libdivecomputer-9999.ebuild 1641 SHA256 e17c8b5fd1522b35da92888ebdf5d07d39d1d057a402a7e17a7a56af727a819a SHA512 0799a39367ea1e854c627734cf3844e3e436fe9969a8d4eddee7548505f3d78ebc6bc8461aa4c35fd1f2030bfbc164ba5362187a6de4a77f87457243a22d63aa WHIRLPOOL f5dfda140dabcf5969fcd6dffef6e9095a150f8cd0d9bf211879bdffc38bdd8223abfe75398bdcbf879e75c84e96eebe782487f249c65f7a45a5dd08815dc53a
-MISC ChangeLog 2384 SHA256 6d55df6c8c6b7dae8e86169d979cb9011fc3b9965765f350b665cc7554bf07b7 SHA512 c58da659b5ba7c0f136d567e425425a1485a9490c6cf6ec7624345e05c0ffa654a8fbd03eaa41ca4cc42d1a289b9fea10540e45bd5a041c3958c109cbbb2082f WHIRLPOOL 70f89d4e742f02823578797fb658c4b5a683d161995bf5387d021ddf7695c53ee78511c14d42105401ff20c3ee4cd3fd375b341975f92c3e651e8307fc598f68
-MISC metadata.xml 572 SHA256 33f1c2caad0efbb63eaf2a4dc419e74f826c887b9a63a1d6b0f6fd5cc0377c33 SHA512 c99b40f7eeb777de456c8d75491ebc869678de4e12d9a7f6bb96d9ffbcb83d4b66af613213b3616a5f6ebf139aad5e3152d0d4027a8ab46c4c1680263c7fda4e WHIRLPOOL 705c3d4c5750e9ba510bbfc7990530f7515d81ba09e79849050452ad85de8491ba4e5a47cacb88e77cfa69bec307271838edcfdf7c4d160fc6711eabceaed38a
+MISC ChangeLog 2576 SHA256 2dc7a8b69c8aeced38a4e096121efdec7bbc3b4489559fb78bf5094778c96acf SHA512 93373c0209dd8443d5c964edf93358af35beb2b8adda5add0b5c340ec1d0a3f906beecd6d5ac2da81671f78a88520b4ec8defe4e6869afe06c0f095a8c72b4c5 WHIRLPOOL 7575ea262e732a2a4b2689650e758f3a0e3d80f0adf9da5bc1710500a5ccda51631c139132a43b91f70714d87b9551c1bdb822bb9dfa2ae3514e67cc771f45c2
+MISC metadata.xml 708 SHA256 44b1bdae319a1a09637757b0e310d287887fd093b5ec323e60a9e478256d2483 SHA512 b1afd235d788fd45500ffc05ebeac2e87a7cff73f28cd5a3a7f88448d4ddb66dd2f4dc2d0c6865cf721a6afd162b85ba25002a6f75d6b6808c8225a032231f1e WHIRLPOOL 4078c8948178cdad88655d8f062e0cc7210660d29afb87f0cb5ba9a2844483640cde5b52869c19f5284210d869cbf6291e80ed4d92e91b615c4a16f2126cb7bd
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (GNU/Linux)
-iQEcBAEBCAAGBQJTDvmQAAoJECo/aRed9267rmUH/19ML4tFWcos6qI2/iWdjjrz
-SgE9e36nKukVUAu+8aMpaHTJ2Fq9DhnrIrTtDzBGUPthM82e8lbUT0Gd55PXJRXa
-9BP66bOzZzXK+/+pKkMWDCIgHJfVjW6S2Qw9lEid9AKmo2MdIsajGJpqVy0plZBu
-X13JFd/bJN+oYU9nrdM4aBDpQtE1pN94UvD2RrbZX4crrwHElyJYIDd2vS5UYMMI
-TwGep6FVYmfq/HNlLtdaojciNI4htxdFAHPO9mcbuhKgX2wabVMAaoOfcLfkrJPu
-QQf5xzxGNfB4Ygj3mL8D6mEFnbiFz8g9ryXLDT5E1imRhbh7Pd9GscVPcJxmbzQ=
-=YNYW
+iQEcBAEBCAAGBQJTDycSAAoJECo/aRed9267D/IIAI1Ey8a/NprlV0ZSL7bmHGUK
+q2C9e9Hp0p59aHYbi5/nNnuQqaqjgUqDc9mIzongzX1FApy+/P1w7SbMePVYz2O6
+Wl8ust9CKDFe2OqLM4OigKuXCR+UxeU8uch1EzScDESYVHwZdFKDcv0SGXDQr1M/
++oSxarwAhHJKyLa//Z9Sk36OJhAjzX2omczGVh4uiKPZUzU2dkNjTLWFPGXRxYe2
+xc89ucl1RBMPcNpzlx+eTkYNKCl6FqSiCp+9fqeSB9iV8tXkmXVOQivFCbfsM8uB
+nsD74AsrJBDJTjS87lebVzwV8LdYQgWUvjIcljimM0xc45vciBtSju8dfBtUw/s=
+=OYz8
-----END PGP SIGNATURE-----
diff --git a/dev-libs/libdivecomputer/libdivecomputer-0.4.2.ebuild b/dev-libs/libdivecomputer/libdivecomputer-0.4.2.ebuild
new file mode 100644
index 000000000000..dfed4dd9a778
--- /dev/null
+++ b/dev-libs/libdivecomputer/libdivecomputer-0.4.2.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/libdivecomputer/libdivecomputer-0.4.2.ebuild,v 1.1 2014/02/27 11:52:54 pinkbyte Exp $
+
+EAPI="5"
+
+if [[ ${PV} = *9999* ]]; then
+ EGIT_REPO_URI="git://libdivecomputer.git.sourceforge.net/gitroot/libdivecomputer/libdivecomputer"
+ GIT_ECLASS="git-2"
+ AUTOTOOLIZE=yes
+ KEYWORDS=""
+else
+ KEYWORDS="~amd64 ~x86"
+fi
+
+AUTOTOOLS_IN_SOURCE_BUILD=1
+inherit eutils autotools-utils ${GIT_ECLASS}
+
+if [[ ${PV} = *9999* ]]; then
+ SRC_URI=""
+else
+ SRC_URI="http://www.divesoftware.org/libdc/releases/${P}.tar.gz"
+fi
+
+DESCRIPTION="Library for communication with dive computers from various manufacturers."
+HOMEPAGE="http://www.divesoftware.org/libdc"
+LICENSE="LGPL-2.1"
+
+SLOT="0"
+IUSE="usb +static-libs -tools"
+
+RDEPEND="usb? ( virtual/libusb:1 )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+src_prepare() {
+ if [[ -n ${AUTOTOOLIZE} ]]; then
+ autotools-utils_src_prepare
+ else
+ epatch_user
+ fi
+}
+
+src_configure() {
+ autotools-utils_src_configure
+
+ if ! use tools ; then
+ sed -i 's|examples||' Makefile || die "sed failed"
+ fi
+}
+
+src_compile() {
+ autotools-utils_src_compile
+}
+
+src_install() {
+ autotools-utils_src_install
+
+ if use tools ; then
+ einfo "prefixing tools with 'dctool_'"
+ pushd "${D}/usr/bin/"
+ for file in * ; do
+ mv "${file}" "dctool_${file}" || die "prefixing tools failed"
+ done
+ popd
+ fi
+}
+
+pkg_postinst() {
+ if use tools ; then
+ elog "The 'tools' USE flag has been enabled,"
+ elog "to avoid file collisions, all ${PN}"
+ elog "related tools have been prefixed with 'dctool_'"
+ fi
+}
diff --git a/dev-libs/libdivecomputer/metadata.xml b/dev-libs/libdivecomputer/metadata.xml
index d8e9eff4feba..567d2b150e41 100644
--- a/dev-libs/libdivecomputer/metadata.xml
+++ b/dev-libs/libdivecomputer/metadata.xml
@@ -1,16 +1,21 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer>
- <email>aaron@flappyport.com</email>
- <name>Aaron Bauman</name>
- <description>Proxied maintainer. Assign bugs to him.</description>
- </maintainer>
- <herd>proxy-maintainers</herd>
- <longdescription lang="en">
- Library for communication with dive computers from various manufacturers.
- </longdescription>
- <use>
- <flag name="tools">Install tools that can be used to test the library.</flag>
- </use>
+ <herd>proxy-maintainers</herd>
+ <maintainer>
+ <email>me@bearsh.org</email>
+ <name>Martin Gysel</name>
+ <description>Proxied maintainer. Assign bugs to him.</description>
+ </maintainer>
+ <maintainer>
+ <email>aaron@flappyport.com</email>
+ <name>Aaron Bauman</name>
+ <description>Proxied maintainer. CC him on bugs.</description>
+ </maintainer>
+ <longdescription lang="en">
+ Library for communication with dive computers from various manufacturers.
+ </longdescription>
+ <use>
+ <flag name="tools">Install tools that can be used to test the library.</flag>
+ </use>
</pkgmetadata>